{{- if .Values.metrics.enabled -}}
{{- $port := .Values.metrics.port -}}
apiVersion: v1
kind: Service
metadata:
  name: {{ printf "%s-metrics" (include "generate.fullname" .) }}
  labels:
    {{- include "generate.labels" . | nindent 4 }}
spec:
  ports:
    - name: metrics
      protocol: TCP
      port: {{ $port }}
      targetPort: {{ $port }}
  selector:
    {{- include "generate.selectorLabels" . | nindent 4 }}
  clusterIP: None
  type: ClusterIP
  publishNotReadyAddresses: true
{{- end }}
